## org.eclipse.ocl.cst
Interface FeatureCallExpCS

All Superinterfaces:
  CallExpCS, CSTNode, EObject, Notifier, OCLExpressionCS

All Known Subinterfaces:
  OperationCallExpCS

All Known Implementing Classes:
  FeatureCallExpCSImpl, OperationCallExpCSImpl

    public interface FeatureCallExpCS

extends CallExpCS

A representation of the model object 'Feature Call Exp CS'.

The following features are supported:

- `Arguments`
- `Is Marked Pre CS`

See Also:
  `CSTPackage.getFeatureCallExpCS()`

Method Summary
`EList<OCLExpressionCS>` `getArguments()` Returns the value of the 'Arguments' containment reference list.
`IsMarkedPreCS` `getIsMarkedPreCS()` Returns the value of the 'Is Marked Pre CS' containment reference
`void` `setIsMarkedPreCS(IsMarkedPreCS value)` Sets the value of the '`Is Marked Pre CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CallExpCS
`getAccessor, getSimpleNameCS, getSource, setAccessor, setSimpleNameCS, setSource`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getArguments

    EList<OCLExpressionCS> getArguments()

  Returns the value of the 'Arguments' containment reference list. The list contents are of type `OCLExpressionCS`.

  If the meaning of the 'Arguments' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Arguments' containment reference list.
  See Also:
    `CSTPackage.getFeatureCallExpCS_Arguments()`

### getIsMarkedPreCS

    IsMarkedPreCS getIsMarkedPreCS()

  Returns the value of the 'Is Marked Pre CS' containment reference.

  If the meaning of the 'Is Marked Pre CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Marked Pre CS' containment reference.
  See Also:
    `setIsMarkedPreCS(IsMarkedPreCS)`, `CSTPackage.getFeatureCallExpCS_IsMarkedPreCS()`

### setIsMarkedPreCS

    void setIsMarkedPreCS(IsMarkedPreCS value)

  Sets the value of the '`Is Marked Pre CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Is Marked Pre CS' containment reference.
  See Also:
    `getIsMarkedPreCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.